/*
* adc.c
*
* Created: 2018. 11. 28. 11:15:00
* Author : AradiSzilard
*/

#include <avr/io.h>
#include <avr/interrupt.h>
#include "lcd.h"
#include "timer.h"
#include "adc.h"

extern volatile uint16_t ADCresult;
extern volatile uint8_t ADC_Ready;
extern volatile uint8_t Task_1000ms,Task_100ms;

int main(void)
{
	char s[16];

	lcdinit();
	ADC_Init();
	TIMER0_Init();
	sei();
	while (1)
	{
		if (Task_1000ms)
		{
			lcd_set_address(0);
			sprintf(s,"%3d",(uint8_t)(ADCresult>>2));
			lcdreir(s);
		}
	}
}

